## arctica-keyring 2019.08.26.1+git20220202.10+9.nightly.1

=== Makefile ===
PREFIX ?= /usr/local
DESTDIR ?=

all: output/keyrings/arctica-maintainers.gpg output/keyrings/arctica-keyring.gpg output/sha512sums.txt output/README

output/keyrings/arctica-maintainers.gpg: arctica-maintainers-gpg/0x*
	mkdir -p output/keyrings/
	cat arctica-maintainers-gpg/0x* > output/keyrings/arctica-maintainers.gpg

output/keyrings/arctica-keyring.gpg: arctica-keyring-gpg/0x*
	mkdir -p output/keyrings/
	cat arctica-keyring-gpg/0x* > output/keyrings/arctica-keyring.gpg

output/sha512sums.txt: output/keyrings/arctica-maintainers.gpg
	cd output; sha512sum keyrings/* > sha512sums.txt

output/README: README
	cp README output/

install:
	install -o root -g root -m 0755 -d $(DESTDIR)/usr/share/keyrings
	install -o root -g root -m 0644 output/keyrings/*.gpg $(DESTDIR)/usr/share/keyrings/

test: output/keyrings/arctica-maintainers.gpg output/keyrings/arctica-keyring.gpg
	./runtests

clean:
	rm -f output/keyrings/*.gpg output/sha512sums.txt output/README output/keyrings/*~

=== debian/changelog ===
arctica-keyring (2019.08.26.1+git20220202.10+9.nightly.1) stretch; urgency=medium

  * Development-Snapshot!!! Auto-built Debian stretch package for
    packages.arctica-project.org repository (Git commit:
    d7c51afec45aeebbb01f81941e35a96136690870).

 -- Mike Gabriel <arctica-builder@porty.informatik.uni-kiel.de>  Wed, 02 Feb 2022 17:08:34 +0100

arctica-keyring (2019.08.26.1) unstable; urgency=medium

  * Update public archive key (no expiry, from now on).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 26 Aug 2019 15:39:39 +0200

arctica-keyring (2017.09.03.1) unstable; urgency=medium

  * Update archive key (new expiry date: 2019-08-25).

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 04 Sep 2017 11:55:48 +0200

arctica-keyring (2015.09.16.1) unstable; urgency=medium

  * debian/control: Add B-D: gawk.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Wed, 16 Sep 2015 05:37:52 +0200

arctica-keyring (2015.09.14.1) unstable; urgency=medium

  * Initial release.

 -- Mike Gabriel <mike.gabriel@das-netzwerkteam.de>  Mon, 14 Sep 2015 06:17:46 +0200

=== debian/control ===
Source: arctica-keyring
Section: nightly/misc
Priority: optional
Maintainer: Debian Arctica Maintainers <dev@lists.arctica-project.org>
Uploaders:
 Mike Gabriel <mike.gabriel@das-netzwerkteam.de>
Build-Depends:
 cdbs,
 debhelper (>= 9),
 gawk,
Standards-Version: 3.9.6
Homepage: https://github.com/ArcticaProject/arctica-keyring
Vcs-Git: https://github.com/ArcticaProject/arctica-keyring
Vcs-Browser: https://github.com/ArcticaProject/arctica-keyring

Package: arctica-keyring
Architecture: all
Depends:
 ${misc:Depends},
Recommends: gnupg (>= 1.0.6-4)
Description: GnuPG keys of all ArcticaProject developers and archives
 The Debian project requires developers to digitally sign the
 announcements of their packages with GnuPG, to protect against
 forgeries.
 .
 This package contains public GnuPG keys of all ArcticaProject developers
 and the ArcticaProject package archive.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/class/makefile.mk
include /usr/share/cdbs/1/rules/debhelper.mk

export PREFIX=/usr
export DESTDIR=debian/tmp

DEB_BUILD_PARALLEL = 1
DEB_INSTALL_DOCS_ALL = README

DEB_MAKE_CHECK_TARGET=test
DEB_MAKE_INSTALL_TARGET=install

common-install-indep:: remove-cruft
common-install-arch:: remove-cruft

remove-cruft::
#	Nothing to do here, right now...

get-orig-source:
	uscan --noconf --force-download --rename --download-current-version --destdir=..
